<div>
    <h2>
	    <span jhiTranslate="bakApp.accountTransaction.home.title">Account Transactions</span><span> for Account {{bankAccount.id}}:{{bankAccount.accountNumber}}, with balance {{bankAccount.balance}}</span>
        <button class="btn btn-primary float-right jh-create-entity create-account-transaction-my-suffix" [routerLink]="['/', { outlets: { popup: 'account-transaction-my-suffix-new/' + bankAccount.id } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="bakApp.accountTransaction.home.createLabel">
            Create new Account Transaction
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="accountTransactions">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="reset.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="amount"><span jhiTranslate="bakApp.accountTransaction.amount">Amount</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="balance"><span jhiTranslate="bakApp.bankAccount.balance">Balance</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="txDate"><span jhiTranslate="bakApp.accountTransaction.txDate">Tx Date</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="type"><span jhiTranslate="bakApp.accountTransaction.type">Type</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="bankAccountId"><span jhiTranslate="bakApp.accountTransaction.bankAccount">Bank Account</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let accountTransaction of accountTransactions ;trackBy: trackId">
                <td><a [routerLink]="['../account-transaction-my-suffix', accountTransaction.id ]">{{accountTransaction.id}}</a></td>
                <td>{{accountTransaction.amount}}</td>
                <td><!--{{bankAccount.balance}}--> see bank-account </td>
                <td>{{accountTransaction.txDate | date:'mediumDate'}}</td>
                <td jhiTranslate="{{'bakApp.Transactions.' + accountTransaction.type}}">{{accountTransaction.type}}</td>
                <td>
                    <div *ngIf="accountTransaction.bankAccountId">
                        <a [routerLink]="['../bank-account-my-suffix', accountTransaction.bankAccountId  ]" >{{accountTransaction.bankAccountId}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../account-transaction-my-suffix', accountTransaction.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <!--<button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'account-transaction-my-suffix/'+ accountTransaction.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'account-transaction-my-suffix/'+ accountTransaction.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button> -->
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
